* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

@font-face {
  font-family: 'Source Sans';
  src: url('../fonts/SourceSansPro-Regular.woff2') format('woff2'),
       url('../fonts/SourceSansPro-Regular.woff') format('woff');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Source Sans';
  src: url('../fonts/SourceSansPro-It.woff2') format('woff2'),
       url('../fonts/SourceSansPro-It.woff') format('woff');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Source Sans';
  src: url('../fonts/SourceSansPro-Semibold.woff2') format('woff2'),
       url('../fonts/SourceSansPro-Semibold.woff') format('woff');
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Source Sans';
  src: url('../fonts/SourceSansPro-SemiboldIt.woff2') format('woff2'),
       url('../fonts/SourceSansPro-SemiboldIt.woff') format('woff');
  font-weight: 600;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Source Sans';
  src: url('../fonts/SourceSansPro-Bold.woff2') format('woff2'),
       url('../fonts/SourceSansPro-Bold.woff') format('woff');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Source Sans';
  src: url('../fonts/SourceSansPro-BoldIt.woff2') format('woff2'),
       url('../fonts/SourceSansPro-BoldIt.woff') format('woff');
  font-weight: 700;
  font-style: italic;
  font-display: swap;
}

:root {
  --color-black: #000;
  --color-yellow: #ffec00;
  --color-blue: #314192;
  --padding-global: 2rem;
  --max-width-global: 80rem;
  --main-title: ;
}

html {
  font-size: 100%;
  scroll-behavior: smooth;
}

body {
  font-family: 'Source Sans', sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.4;
  color: var(--color-black);
  background-color: #fff;
}

main {
  min-height: calc(100vh - 15rem);
}

h1, h2, h3, h4 {
  font-weight: normal;
  font-style: normal;
  font-size: inherit;
  line-height: 1;
}

a {
  text-decoration: none;
  transition: background-color 0.2s, color 0.2s, opacity 0.2s;
}

a:link, a:visited {
  color: inherit;
}

ul, li {
  list-style-type: none;
}

img {
  vertical-align: middle;
}

.underline {
  text-decoration: underline;
}

@media all and (max-width: 50em) {
  :root {
    --padding-global: 1.25rem;
  }
  h1 {
    padding-right: 5rem;
  }
}
@media all and (max-width: 32em) {
  :root {
    --padding-global: 1rem;
  }
  h1 {
    padding-right: 0;
  }
}

/* Header */

.header-main .logo-container {
  width: 100%;
  position: fixed;
  top: 0;
  display: flex;
  justify-content: center;
  padding: 3rem var(--padding-global);
  pointer-events: none;
  z-index: 100;
}

.header-main .logo-container > div {
  width: 100%;
  max-width: var(--max-width-global);
}

.header-main .logo {
  display: inline-block;
  margin-right: 3rem;
  pointer-events: auto;
  position: relative;
}

.header-main .logo img {
  width: 10rem;
}

.header-main nav {
  width: 100%;
  top: 0;
  display: flex;
  justify-content: center;
  padding: 3rem 2rem 0 2rem;
}

.header-main nav > div {
  width: 100%;
  max-width: var(--max-width-global);
  padding-left: 12.8rem;
}

.header-home {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 3rem 0;
}

.header-home .logo {
  width: 15rem;
  margin-bottom: 3rem;
}

.header-home .logo img {
  width: 100%;
}

header nav ul {
  display: flex;
  flex-wrap: wrap;
  row-gap: 0.5rem;
  column-gap: 2rem;
  font-weight: 600;
  text-transform: uppercase;
}

header nav li {
  white-space: nowrap;
}

.header-home nav ul {
  justify-content: center;
  padding: 0 var(--padding-global);
}

.burger-mobile {
  display: none;
  position: fixed;
  top: var(--padding-global);
  right: var(--padding-global);
  cursor: pointer;
  z-index: 100;
}

.burger-mobile svg {
  width: 2.5rem;
}

.cross-mobile {
  display: none;
  position: fixed;
  top: var(--padding-global);
  right: var(--padding-global);
  cursor: pointer;
}

.cross-mobile svg {
  width: 2.2rem;
}

@media all and (max-width: 50em) {
  .header-main .logo-container {
    padding: var(--padding-global);
  }
  .header-home {
    padding-bottom: 0;
  }
  .burger-mobile,
  .cross-mobile {
    display: block;
  }
  .header-main nav,
  .header-home nav {
    position: fixed;
    top: 0;
    width: 100%;
    padding: 0;
    background-color: white;
    overflow: scroll;
    z-index: 1000;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
  }
  .header-main nav.is-open,
  .header-home nav.is-open {
    opacity: 1;
    visibility: visible;
  }
  .header-main nav > div {
    padding: 0;
  }
  .header-main nav ul,
  .header-home nav ul {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 1rem;
    font-size: 1.1rem;
    width: 100%;
    min-height: 100vh;
    min-height: 100dvh;
    padding: var(--padding-global);
    padding-bottom: 2rem;
  }
  header nav li {
    white-space: normal;
    text-align: center;
  }
}
@media all and (max-width: 44em) {
  .header-main .logo img {
    width: 8rem;
  }
}
@media all and (max-width: 32em) {
  .header-main .logo img {
    width: 7rem;
  }
}

/* Footer */

footer {
  background-color: var(--color-yellow);
  text-transform: uppercase;
  font-weight: 600;
  line-height: 1.3;
}

.footer-contact {
  display: flex;
  justify-content: center;
  width: 100%;
  padding: 2rem 4rem;
}

.footer-contact > div {
  display: flex;
  justify-content: space-between;
  column-gap: 4rem;
  row-gap: 1rem;
  width: 100%;
  max-width: var(--max-width-global);
}

footer p {
  padding-bottom: 0.4rem;
}

footer a:hover {
  opacity: 0.8;
}

.footer-contact .contact {
  display: flex;
  column-gap: 4rem;
  row-gap: 1rem;
}

.footer-credits {
  width: 100%;
  padding: 0 1.5rem 1rem 2rem;
  display: flex;
  justify-content: flex-end;
  font-size: 0.8rem;
}

.footer-credits ul {
  display: flex;
  column-gap: 1.5rem;
  row-gap: 0.2rem;
}

@media all and (max-width: 56em) {
  .footer-contact {
    padding: 2rem var(--padding-global);;
  }
}
@media all and (max-width: 50em) {
  .footer-contact > div {
    flex-direction: column;
  }
  .footer-credits {
    justify-content: flex-start;
    padding: 0 var(--padding-global) 1rem var(--padding-global);
  }
  .footer-credits ul {
    flex-direction: column;
  }
}
@media all and (max-width: 30em) {
  .footer-contact .contact {
    flex-direction: column;
  }
}

/* Home */

.categories-home {
  display: flex;
  justify-content: center;
  padding: 2rem var(--padding-global) 7rem var(--padding-global);
}

.categories-home > div {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  column-gap: var(--padding-global);
  row-gap: 3rem;
  max-width: var(--max-width-global);
}

.categorie-home .img-link {
  display: block;
  position: relative;
}

.categorie-home img {
  display: block;
  max-width: 100%;
  margin-bottom: 1rem;
}

.categories-home .arrow-hover {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--color-yellow);
  opacity: 0;
  transition: opacity 0.3s ease;
}

.categories-home .arrow-hover svg {
  max-width: 30%;
}

.categories-home .img-link:hover .arrow-hover,
.categorie-home:has(h2 a:hover) .arrow-hover {
  opacity: 1;
}

.categorie-home h2 {
  display: inline;
  font-size: clamp(1.8rem, 4vw, 2.3rem);
  font-weight: 600;
  text-transform: uppercase;
  transition: background-color 0.2s, color 0.2s;
  
}

.categorie-home .text {
  padding: 1rem 0 1.5rem 0;
  max-width: 35rem;
}

.categorie-home .text p {
  padding-bottom: 0.7em;
}

.categorie-home .arrow {
  font-size: 2.5rem;
  line-height: 0;
  color: var(--color-black);
  transition: color 0.2s;
}

.actualites-home {
  padding-bottom: 4rem;
}

.actualites-home .title-actus {
  display: flex;
  justify-content: center;
  width: 100%;
  padding: 0 var(--padding-global);
}

.actualites-home .title-actus div {
  width: 100%;
  max-width: var(--max-width-global);
}

.actualites-home .title-actus span {
  font-weight: 600;
  text-transform: uppercase;
  background-color: var(--color-yellow);
  display: inline-block;
  padding: 0 0.3rem;
}

.actualites-home .actualite {
  padding-top: 0;
}

.actualites-home .actualite .title-text {
  padding-left: 0;
}

.actualites-home .slide .swiper {
  padding-left: max(2rem, calc((100vw - var(--max-width-global)) / 2));
  padding-right: max(2rem, calc((100vw - var(--max-width-global)) / 2));
}

@media all and (max-width: 50em) {
  .categories-home .img-link:hover .arrow-hover,
  .categorie-home:has(h2 a:hover) .arrow-hover {
    opacity: 0;
  }
  .actualites-home {
    padding-bottom: 0;
  }
}
@media all and (max-width: 37.5em) {
  .categories-home > div {
    grid-template-columns: 1fr;
  }
}

/* Pages */

.title-text-main {
  display: flex;
  justify-content: center;
  padding: 0 var(--padding-global) 4rem var(--padding-global);
}

.title-text-main > div {
  width: 100%;
  max-width: var(--max-width-global);
  padding: 2rem 0 0 12.8rem;
}

.title-text-main h1 {
  font-size: clamp(2rem, 6vw, 3.2rem);
  font-weight: 600;
  text-transform: uppercase;
  padding-bottom: 0.2rem;
}

.title-text-main .text {
  max-width: 40rem;
  padding-top: 1.2rem;
}

.title-text-main .text p {
  padding-bottom: 1em;
}

.title-text-main .text ul {
  margin-left: 1.1em;
  padding-bottom: 0.8em;
}

.title-text-main .text li {
  list-style-type: disc;
}

.title-text-main .text li p {
  padding-bottom: 0.2em;
}

.slide {
  margin-bottom: 7rem;
}

.slide .swiper {
  padding-left: max(2rem, calc((100vw - 75rem) / 2));
  padding-right: max(2rem, calc((100vw - 75rem) / 2));
}

.slide .swiper-slide {
  width: auto;
}

.slide .swiper-slide img {
  height: 40rem;
  max-height: 70vh;
}

.slide .swiper-slide .caption {
  padding: 0.5rem 1rem 0 0;
  contain: inline-size;
}

.swiper-button-prev,
.swiper-button-next {
  font-size: 2.5rem;
  line-height: 0;
  color: var(--color-black);
  background-color: white;
  border: 0.15rem solid var(--color-black);
  width: 3.5rem;
  height: 3.5rem;
  border-radius: ;
  transition: color 0.2s, background-color 0.2s;
}

.swiper-button-prev {
  margin-left: 4.9rem !important;
}

.swiper-button-next {
  margin-right: 4.9rem !important;
}

.swiper-button-prev:hover,
.swiper-button-next:hover {
  background-color: var(--color-black);
}

.swiper-button-prev svg,
.swiper-button-next svg {
  display: none;
}

.swiper-button-prev .arrow,
.swiper-button-next .arrow {
  display: inline;
  width: 45%;
  transition: fill 0.2s;
}

.swiper-button-prev:hover .arrow,
.swiper-button-next:hover .arrow {
  fill: white;
}

.swiper-button-disabled {
  display: none;
}

.swiper--image .swiper-button-prev,
.swiper--image .swiper-button-next {
  display: none;
}

.youtube-video{
  position:relative;
  aspect-ratio:16/9;
  background:#000;
  cursor:pointer;
  overflow:hidden;
  height: 40rem;
  max-height: 70vh;
}

.youtube-video .yt-thumb{
  position:absolute; inset:0;
  width:100%; height:100%;
  object-fit:cover;
  display:block;
}

.youtube-video .yt-play{
  position:absolute;
  width: 100%;
  height: 100%;
  border:0; background:transparent;
  padding:0;
  cursor:pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

.youtube-video .yt-play svg {
  width: 10%;
  transition: opacity 0.2s;
}

.youtube-video .yt-play:hover svg {
  opacity: 0.8;
}

.mobile-gallery {
  display: none;
  padding: 0 var(--padding-global);
}

.mobile-gallery .image,
.mobile-gallery .video {
  padding-bottom: 2rem;
}

.mobile-gallery .image img {
  max-width: 100%;
  max-height: 85vh;
  display: block;
  padding-bottom: 0.5rem;
}

.mobile-gallery .youtube-video {
  margin-bottom: 0.5rem;
  height: auto;
  max-height: 100%;
  width: 100%;
}

@media all and (max-width: 77em) {
  .slide .swiper-slide img,
  .youtube-video {
    max-height: 50vw;
  }
  .swiper-button-prev {
    margin-left: 2rem !important;
  }
  .swiper-button-next {
    margin-right: 2rem !important;
  }
}
@media all and (max-width: 50em) {
  .title-text-main {
    padding-bottom: 3rem;
  }
  .title-text-main > div {
    padding-top: 4rem;
  }
  .slide {
    margin-bottom: 4rem;
  }
  .slide .swiper {
    display: none;
  }
  .youtube-video {
    width: 100%;
  }
  .mobile-gallery {
    display: block;
  }
}
@media all and (max-width: 44em) {
  .title-text-main > div {
    padding-left: 10rem;
  }
  .title-text-main h1 {
    font-size: clamp(2rem, 7vw, 3.2rem);
  }
}
@media all and (max-width: 32em) {
  .title-text-main > div {
    padding-left: 0;
    padding-top: 10rem;
  }
  .title-text-main h1 {
    font-size: clamp(2rem, 9vw, 3.2rem);
  }
}

/* Page catégorie */

.categorie-index-projets {
  display: flex;
  justify-content: center;
  padding: 0 var(--padding-global) 7rem var(--padding-global);
}

.categorie-index-projets > div {
  max-width: 85rem;
  width: 100%;
}

.filter-index-projets {
  display: flex;
  font-weight: 600;
  text-transform: uppercase;
  padding-bottom: 1.8rem;
  column-gap: 1.5rem;
  overflow-x: auto;
  overflow-y: hidden;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: none;
  -ms-overflow-style: none;
  margin-left: calc(-1 * var(--padding-global));
  margin-right: calc(-1 * var(--padding-global));
  padding-left: var(--padding-global);
  padding-right: var(--padding-global);
}

.filter-index-projets::-webkit-scrollbar {
  display: none;
}

.filter-index-projets ul {
  display: flex;
  column-gap: 1.5rem;
}

.filter-index-projets li {
  white-space: nowrap;
  transition: border-bottom-color 0.2s;
  border-bottom: 0.15rem solid;
  border-color: rgba(0, 0, 0, 0);
}

.filter-index-projets li.filter {
  cursor: pointer;
  user-select: none;
}

.filter-index-projets li.filter.is-active,
.filter-index-projets li:hover {
  border-color: var(--color-black);
}

.filters-media svg {
  width: 1.1em;
  position: relative;
  top: 0.22em;
  margin-left: -0.3em;
  margin-right: 0em;
}

.index-projets {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: 1.5rem;
  row-gap: 2rem;
  scroll-margin-top: 18rem;
}

.index-projet .image {
  display: block;
  margin-bottom: 0.6rem;
  position: relative;
}

.index-projet .image img {
  max-width: 100%;
}

.index-projet .image .arrow-hover {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  opacity: 0;
  transition: opacity 0.3s ease;
  border: 0.15rem solid;
}

.index-projet .arrow-hover svg {
  max-width: 40%;
  
}

.index-projet .image:hover .arrow-hover,
.index-projet:has(h2 a:hover) .arrow-hover {
  opacity: 1;
}

.index-projet h2 {
  font-size: clamp(1.2rem, 4vw, 1.6rem);
  font-weight: 600;
  text-transform: uppercase;
}

.index-video.is-hidden {
  display: none;
}

.index-video .caption {
  padding: 0.5rem 1rem 0 0;
}

@media all and (max-width: 75rem) {
  .index-projets {
    grid-template-columns: repeat(3, 1fr);
  }
}
@media all and (max-width: 55rem) {
  .index-projets {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media all and (max-width: 50rem) {
  .index-projet .image:hover .arrow-hover,
  .index-projet:has(h2 a:hover) .arrow-hover {
    opacity: 0;
  }
}
@media all and (max-width: 32rem) {
  .index-projets {
    column-gap: 1rem;
    row-gap: 2rem;
    scroll-margin-top: 13rem;
  }
}

/* Page projet */

.title-text-main--projet .projet-types {
  font-weight: 600;
  text-transform: uppercase;
  display: flex;
  column-gap: 1.5rem;
  padding-bottom: 0.5rem;
}

.title-text-main--projet .projet-types a {
  white-space: nowrap;
  transition: border-bottom-color 0.2s;
  border-bottom: 0.15rem solid;
  border-color: rgba(0, 0, 0, 0);
}

.title-text-main--projet .projet-types a:hover {
  border-color: var(--color-black);
}

/* Actualités */

.actualites {
  padding: 0 0 4rem 0;
}

.actualite {
  padding-top: 3rem;
}

.actualite .title-text-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding: 0 var(--padding-global) 3rem var(--padding-global);
}

.actualite .title-text {
  width: 100%;
  max-width: var(--max-width-global);
  padding: 1.4rem 0 0 12.8rem;
}

.actualite .title-text .date {
  font-weight: 600;
}

.actualite .title-text h2 {
  font-size: clamp(2rem, 6vw, 3.2rem);
  font-weight: 600;
  text-transform: uppercase;
  padding-bottom: 0.2rem;
}

.actualite .title-text .text {
  max-width: 40rem;
  padding-top: 1.2rem;
}

.actualite .title-text .text p {
  padding-bottom: 1em;
}

.actualite .slide {
  margin-bottom: 6rem;
}

.actualite .swiper-button-prev,
.actualite .swiper-button-next {
  color: var(--color-black);
  background-color: white;
}

.actualite .swiper-button-prev:hover,
.actualite .swiper-button-next:hover {
  background-color: var(--color-black);
}

.actualites .line {
  display: flex;
  justify-content: center;
  padding: 0 var(--padding-global);
}

.actualites .line div {
  width: 100%;
  height: 0.12rem;
  max-width: var(--max-width-global);
  background-color: var(--color-blue);
}

.actualite:last-of-type + .line {
  display: none;
}

.pagination-actualites {
  width: 100%;
  display: flex;
  justify-content: center;
  padding-bottom: 7rem;
}

.pagination-actualites ul {
  display: flex;
  column-gap: 0.5rem;
}

@media all and (max-width: 50rem) {
  .actualites {
    padding-bottom: 0;
  }
  .pagination-actualites {
    padding-bottom: 5rem;
  }
}
@media all and (max-width: 44em) {
  .actualite .title-text {
    padding-left: 10rem;
  }
  .actualite .title-text h2 {
    font-size: clamp(2rem, 7vw, 3.2rem);
  }
}
@media all and (max-width: 32em) {
  .actualites {
    padding-top: 6rem;
  }
  .actualite .title-text {
    padding-left: 0;
  }
  .actualite .title-text h2 {
    font-size: clamp(2rem, 9vw, 3.2rem);
  }
}

/* Équipe */

.equipe {
  display: flex;
  justify-content: center;
  width: 100%;
  padding: 0 var(--padding-global) 6rem var(--padding-global);
}

.equipe > div {
  width: 100%;
  max-width: var(--max-width-global);
  padding: 2rem 0 0 12.8rem;
}

.equipe h1 {
  font-size: clamp(2rem, 6vw, 3.2rem);
  font-weight: 600;
  text-transform: uppercase;
  padding-bottom: 4rem;
}

.equipe .text {
  max-width: 40rem;
  padding-bottom: 3.5rem;
}

.equipe .text p {
  padding-bottom: 1em;
}

.equipe .image {
  max-width: 50rem;
  padding-bottom: 3.5rem;
}

.equipe .image img {
  max-width: 100%;
  max-height: 70vh;
}

.equipe .caption {
  padding-top: 0.5rem;
  font-size: 0.85rem;
}

.equipe .video {
  max-width: 50rem;
  padding-bottom: 3.5rem;
}

.equipe .video .youtube-video{
  max-width: 100%;
  height: auto;
  max-height: auto;
}

@media all and (max-width: 50em) {
  .equipe > div {
    padding-top: 4rem;
  }
}
@media all and (max-width: 44em) {
  .equipe > div {
    padding-left: 10rem;
  }
  .equipe h1 {
    font-size: clamp(2rem, 7vw, 3.2rem);
  }
}
@media all and (max-width: 32em) {
  .equipe > div {
    padding-left: 0;
    padding-top: 10rem;
  }
  .equipe h1 {
    font-size: clamp(2rem, 9vw, 3.2rem);
  }
}

/* Page légale */

.legal {
  display: flex;
  justify-content: center;
  width: 100%;
  padding: 0 var(--padding-global) 6rem var(--padding-global);
}

.legal > div {
  width: 100%;
  max-width: var(--max-width-global);
  padding: 2rem 0 0 12.8rem;
}

.legal h1 {
  font-size: clamp(2rem, 6vw, 3.2rem);
  font-weight: 600;
  text-transform: uppercase;
  padding-bottom: 4rem;
}

.legal h2 {
  font-size: 1.5rem;
  font-weight: 600;
  text-transform: uppercase;
  padding-bottom: 1rem;
}

.legal .text {
  max-width: 45rem;
  padding-bottom: 2.5rem;
}

.legal .text p {
  padding-bottom: 1em;
}

@media all and (max-width: 50em) {
  .legal > div {
    padding-top: 4rem;
  }
}
@media all and (max-width: 44em) {
  .legal > div {
    padding-left: 10rem;
  }
  .legal h1 {
    font-size: clamp(2rem, 7vw, 3.2rem);
  }
}
@media all and (max-width: 32em) {
  .legal > div {
    padding-left: 0;
    padding-top: 10rem;
  }
  .legal h1 {
    font-size: clamp(2rem, 9vw, 3.2rem);
  }
}
